Bug 357201 - Unable to Update
Unable to Update
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: John Matthews
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 15:35 EDT by Steve Doak
Modified: 2008-06-11 10:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 10:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Doak 2007-10-29 15:35:02 EDT
Description of problem:  Unable to load updates, receive error.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Component: Software Updater
Summary: TBe634e670 __init__.py:767:downloadHeader:RepoError: failed to retrieve
getPackage/krb5-libs-1.5-29.i386.rpm from rhel-i386-client-5
error was [Errno 14] HTTP Error 502: Proxy Error

Traceback (most recent call last):
  File "/usr/sbin/pup", line 438, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 557, in
applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 322, in checkDeps
    self.populateTs(keepold=0)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 153, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 767, in
downloadHeader
    raise Errors.RepoError, saved_repo_error
RepoError: failed to retrieve getPackage/krb5-libs-1.5-29.i386.rpm from
rhel-i386-client-5
error was [Errno 14] HTTP Error 502: Proxy Error

Local variables in innermost frame:
errors: {}
e: [Errno 2] No such file or directory:
'//var/cache/yum/rhel-i386-client-5/headers/krb5-libs-1.5-29.i386.hdr'
self: <__main__.PackageUpdater object at 0x8ee6ccc>
saved_repo_error: failed to retrieve getPackage/krb5-libs-1.5-29.i386.rpm from
rhel-i386-client-5
error was [Errno 14] HTTP Error 502: Proxy Error
repo: rhel-i386-client-5
checkfunc: (<bound method PackageUpdater.verifyHeader of
<__main__.PackageUpdater object at 0x8ee6ccc>>,
(<yum.sqlitesack.YumAvailablePackageSqlite instance at 0x9de014c>, 1), {})
local: //var/cache/yum/rhel-i386-client-5/headers/krb5-libs-1.5-29.i386.hdr
po: krb5-libs - 1.5-29.i386


Expected results:


Additional info:
Comment 1 Steve Doak 2007-10-30 09:35:33 EDT
Resolved

Note You need to log in before you can comment on or make changes to this bug.